import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const XTimeline = /*@__PURE__*/ proxyCustomElement(class XTimeline extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '031c1a9d66b579f46f218ca9523bfa246dc18acb' }, h("slot", { key: 'd4581e141ab2c5fe64e4e4b6145951a0f6983100' }));
    }
}, [4, "x-timeline-header"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-timeline-header"];
    components.forEach(tagName => { switch (tagName) {
        case "x-timeline-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XTimeline);
            }
            break;
    } });
}

const XTimelineHeader = XTimeline;
const defineCustomElement = defineCustomElement$1;

export { XTimelineHeader, defineCustomElement };
